import 'package:english_learning/core/widgets/loading/shimmer_loading_widget.dart';
import 'package:flutter/material.dart';

class ProgressCardLoading extends StatelessWidget {
  const ProgressCardLoading({super.key});

  @override
  Widget build(BuildContext context) {
    return Card(
      color: Colors.white,
      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.circular(12),
      ),
      elevation: 0,
      margin: const EdgeInsets.symmetric(vertical: 8.0),
      child: Padding(
        padding: const EdgeInsets.all(16.0),
        child: ShimmerLoadingWidget(
          width: double.infinity,
          height: 160,
          borderRadius: BorderRadius.circular(12),
        ),
      ),
    );
  }
}
